Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface MeterDataset

All Superinterfaces:
  Dataset, Value, ValueDataset

All Known Implementing Classes:
  DefaultMeterDataset

Deprecated. Use ValueDataset instead, this interface mixes data and presentation items.

public interface MeterDataset
extends ValueDataset

A dataset containing a single value within an overall range. In addition, the dataset defines three subranges: the 'normal' range, the 'warning' range and the 'critical' range.

Field Summary
`static int` | `CRITICAL_DATA` Deprecated. A constant representing the 'critical' level.
`static int` | `FULL_DATA` Deprecated. A constant representing the full data range.
`static int` | `NORMAL_DATA` Deprecated. A constant representing the 'normal' level.
`static int` | `WARNING_DATA` Deprecated. A constant representing the 'warning' level.

Method Summary
`int` | `getBorderType()` Deprecated. Returns the border type for the data.
`java.lang.Number` | `getMaximumCriticalValue()` Deprecated. Returns the upper value in the critical range.
`java.lang.Number` | `getMaximumNormalValue()` Deprecated. Returns the upper value in the normal range.
`java.lang.Number` | `getMaximumValue()` Deprecated. Returns the upper value in the overall range.
`java.lang.Number` | `getMaximumWarningValue()` Deprecated. Returns the upper value in the warning range.
`java.lang.Number` | `getMinimumCriticalValue()` Deprecated. Returns the lower value in the critical range.
`java.lang.Number` | `getMinimumNormalValue()` Deprecated. Returns the lower value in the normal range.
`java.lang.Number` | `getMinimumValue()` Deprecated. Returns the lower value in the overall range.
`java.lang.Number` | `getMinimumWarningValue()` Deprecated. Returns the lower value in the warning range.
`java.lang.String` | `getUnits()` Deprecated. Returns a string representing the units on the dial.
`boolean` | `isValueValid()` Deprecated. Returns true if the value is valid, and false otherwise.

Methods inherited from interface org.jfree.data.Value
`getValue`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Field Detail

### NORMAL_DATA

    public static final int NORMAL_DATA

  Deprecated.
  A constant representing the 'normal' level.

  See Also:
    Constant Field Values

### WARNING_DATA

    public static final int WARNING_DATA

  Deprecated.
  A constant representing the 'warning' level.

  See Also:
    Constant Field Values

### CRITICAL_DATA

    public static final int CRITICAL_DATA

  Deprecated.
  A constant representing the 'critical' level.

  See Also:
    Constant Field Values

### FULL_DATA

    public static final int FULL_DATA

  Deprecated.
  A constant representing the full data range.

  See Also:
    Constant Field Values

Method Detail

### getMinimumValue

    public java.lang.Number getMinimumValue()

  Deprecated.
  Returns the lower value in the overall range.

  Returns:
    The lower value.

### getMaximumValue

    public java.lang.Number getMaximumValue()

  Deprecated.
  Returns the upper value in the overall range.

  Returns:
    The upper value.

### getMinimumNormalValue

    public java.lang.Number getMinimumNormalValue()

  Deprecated.
  Returns the lower value in the normal range.

  Returns:
    The lower value.

### getMaximumNormalValue

    public java.lang.Number getMaximumNormalValue()

  Deprecated.
  Returns the upper value in the normal range.

  Returns:
    The upper value.

### getMinimumWarningValue

    public java.lang.Number getMinimumWarningValue()

  Deprecated.
  Returns the lower value in the warning range.

  Returns:
    The lower value.

### getMaximumWarningValue

    public java.lang.Number getMaximumWarningValue()

  Deprecated.
  Returns the upper value in the warning range.

  Returns:
    The upper value.

### getMinimumCriticalValue

    public java.lang.Number getMinimumCriticalValue()

  Deprecated.
  Returns the lower value in the critical range.

  Returns:
    The lower value.

### getMaximumCriticalValue

    public java.lang.Number getMaximumCriticalValue()

  Deprecated.
  Returns the upper value in the critical range.

  Returns:
    The upper value.

### isValueValid

    public boolean isValueValid()

  Deprecated.
  Returns true if the value is valid, and false otherwise.

  Returns:
    A boolean

### getUnits

    public java.lang.String getUnits()

  Deprecated.
  Returns a string representing the units on the dial.

  Returns:
    The units.

### getBorderType

    public int getBorderType()

  Deprecated.
  Returns the border type for the data.

  Returns:
    The border type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD